class AddHistDocToPriceDocuments < ActiveRecord::Migration[6.0]
  def change
    add_column :price_documents, :bon_de_commande_id, :integer
    add_column :price_documents, :bon_de_livraison_id, :integer
    add_column :price_documents, :facture_id, :integer
    add_column :price_documents, :reliquat, :boolean
    
    add_column :price_line_blocks, :ac_bon_de_commande_id, :integer
    add_column :price_line_blocks, :cc_bon_de_commande_id, :integer
    add_column :price_line_blocks, :ac_bon_de_livraison_id, :integer
    add_column :price_line_blocks, :cc_bon_de_livraison_id, :integer
    add_column :price_line_blocks, :ac_facture_id, :integer
    add_column :price_line_blocks, :cc_facture_id, :integer
    add_column :price_line_blocks, :ac_reliquat, :boolean
    add_column :price_line_blocks, :cc_reliquat, :boolean
    
    add_column :price_line_blocks, :bk_tot_fdp_ht, :decimal,   :precision => 14,   :scale => 2
    
    
      
    
  end
end
