class AddMargeToPriceLines < ActiveRecord::Migration[6.0]
  def change
    add_column :price_lines, :cc_cost_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :cc_cost_u_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :cc_marge_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :cc_marge_u_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_cost_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_cost_u_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_marge_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_marge_u_ht, :decimal,   :precision => 14,   :scale => 2
    
    add_column :price_line_blocks, :cc_cost_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_line_blocks, :cc_marge_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_line_blocks, :ac_cost_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_line_blocks, :ac_marge_ht, :decimal,   :precision => 14,   :scale => 2
    
    add_column :price_documents, :cc_cost_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_documents, :cc_marge_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_documents, :ac_cost_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_documents, :ac_marge_ht, :decimal,   :precision => 14,   :scale => 2
    
  end
end
