class ChangePrecisionToPriceLines < ActiveRecord::Migration[6.0]
  def self.up
    
    change_column :price_lines, :ct_u_price_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_price_u_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_price_u_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_price_u_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_price_u_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_price_u_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_price_u_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :qte, :decimal, precision: 15, scale: 4
    change_column :price_lines, :ac_tot_line_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_line_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_line_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_line_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_line_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_line_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_market_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_market_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_market_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_market_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_qte_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_qte_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_qte_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_qte_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_delay_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_delay_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_delay_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_delay_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_enrobage_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_enrobage_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_enrobage_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_enrobage_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_ecole_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_ecole_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_ecole_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_ecole_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_comptant_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_comptant_percent, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_discount_comptant_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_discount_comptant_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_discount_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_discount_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_discount_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_discount_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_discount_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_discount_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_amount_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_amount_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_amount_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_amount_tva, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_tot_amount_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_tot_amount_ttc, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ct_weight_u, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_weight_u, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_weight_u, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_weight_tot, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_weight_tot, :decimal, precision: 15, scale: 3
    #change_column :price_lines, :ct_tot_line_ht, :decimal, precision: 15, scale: 4
    change_column :price_lines, :cc_local_tot_amount_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_local_tot_amount_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_cost_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_cost_u_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_marge_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :cc_marge_u_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_cost_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_cost_u_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_marge_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ac_marge_u_ht, :decimal, precision: 15, scale: 3
    change_column :price_lines, :ct_tot_amount_ht, :decimal, precision: 16, scale: 4
  
  end
end
