class CreateVContacts < ActiveRecord::Migration[6.0]
  def change
    create_table :v_contacts do |t|
      t.string :codemanaginn
      t.string :nomgroupe
      t.string :societe
      t.string :civilite
      t.string :nom
      t.string :prenom
      t.string :titre
      t.string :mailto
      t.string :mailcc
      t.string :mailbcc
      t.string :numportable
      t.string :numtel
      t.string :numfax
      t.string :adresse1
      t.string :adresse2
      t.string :codepostal
      t.string :ville
      t.string :anniversaire
      t.string :pays
      t.string :photo
      t.string :login
      t.string :password
      t.string :typeuser
      t.string :commentaire
      t.string :codeproprietaire
      t.string :typepartage
      t.string :libre1
      t.string :libre2
      t.string :libre3
      t.string :libre4
      t.string :libre5
      t.string :accesbloque
      t.string :corbeille
      t.string :codecreateur
      t.string :partagedefaut
      t.string :npai
      t.string :npaimail
      t.string :npaisms
      t.string :rate
      t.decimal :cumul, :precision => 14, :scale => 2
      t.decimal :cagnotte, :precision => 14, :scale => 2
      t.decimal :prime, :precision => 14, :scale => 2
      t.integer :nbr_vidanges
      t.integer :vidanges_seuil
      t.integer :vidanges_offerte
      t.date :datecreation
      t.date :last_volume_at
      t.decimal :ac_rate, :precision => 14, :scale => 2
      t.boolean :enabled, :default => false
      t.integer :nbr_mvt
      t.string :cc_centre
      t.string :ac_centre

      t.timestamps
    end
  end
end
