# -*- encoding : utf-8 -*-

class Admin::PFournisseurRefsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_fournisseur_refs = PFournisseurRef.all

    @p_fournisseur_refs = sort_by_sorting(@p_fournisseur_refs, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @p_fournisseur_refs = @p_fournisseur_refs.page(page).per(per_page)
      
      }
    end
  end

  def show
    @p_fournisseur_ref = PFournisseurRef.find(params[:id])

  end

  def new
    @p_fournisseur_ref = PFournisseurRef.new
  
  end

  def edit
    @p_fournisseur_ref = PFournisseurRef.find(params[:id])
    
  end

  def create
    @p_fournisseur_ref = PFournisseurRef.new(params.require(:p_fournisseur_ref).permit!)

    if @p_fournisseur_ref.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_fournisseur_ref = PFournisseurRef.find(params[:id])


    if @p_fournisseur_ref.update_attributes(params.require(:p_fournisseur_ref).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_fournisseur_ref = PFournisseurRef.find(params[:id])
    @p_fournisseur_ref.destroy
    
  end
end
