# -*- encoding : utf-8 -*-

class Admin::PProductColorsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_product_colors = PProductColor.all

    @p_product_colors = sort_by_sorting(@p_product_colors, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @p_product_colors = @p_product_colors.page(page).per(per_page)
      
      }
    end
  end

  def show
    @p_product_color = PProductColor.find(params[:id])

  end

  def new
    @p_product_color = PProductColor.new
  
  end

  def edit
    @p_product_color = PProductColor.find(params[:id])
    
  end

  def create
    @p_product_color = PProductColor.new(params.require(:p_product_color).permit!)

    if @p_product_color.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_product_color = PProductColor.find(params[:id])


    if @p_product_color.update_attributes(params.require(:p_product_color).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_product_color = PProductColor.find(params[:id])
    @p_product_color.destroy
    
  end
end
