# -*- encoding : utf-8 -*-

class Admin::PSerialNumValuesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @p_serial_num_values = PSerialNumValue.all

    @p_serial_num_values = sort_by_sorting(@p_serial_num_values, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @p_serial_num_values = @p_serial_num_values.page(page).per(per_page)
      
      }
    end
  end

  def show
    @p_serial_num_value = PSerialNumValue.find(params[:id])

  end

  def new
    @p_serial_num_value = PSerialNumValue.new
  
  end

  def edit
    @p_serial_num_value = PSerialNumValue.find(params[:id])
    
  end

  def create
    @p_serial_num_value = PSerialNumValue.new(params.require(:p_serial_num_value).permit!)

    if @p_serial_num_value.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_serial_num_value = PSerialNumValue.find(params[:id])


    if @p_serial_num_value.update_attributes(params.require(:p_serial_num_value).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_serial_num_value = PSerialNumValue.find(params[:id])
    @p_serial_num_value.destroy
    
  end
end
