class AddPublicInfosToPProducts < ActiveRecord::Migration[6.0]
  def change
    add_column :p_products, :description, :text
    add_column :p_products, :image_file_id, :integer
    add_column :p_products, :fonte_min, :decimal, :precision => 6, :scale => 2
    add_column :p_products, :fonte_max, :decimal, :precision => 6, :scale => 2
    add_column :p_products, :cristal_min, :decimal, :precision => 6, :scale => 2
    add_column :p_products, :cristal_max, :decimal, :precision => 6, :scale => 2
    add_column :p_products, :travail_min, :decimal, :precision => 6, :scale => 2
    add_column :p_products, :travail_max, :decimal, :precision => 6, :scale => 2
    add_column :p_products, :intensite_cacao, :integer
    add_column :p_products, :country_fabrication, :string
    add_column :p_products, :viscosite, :decimal, :precision => 2, :scale => 2
    add_column :p_products, :utilisation_text, :text
    add_column :p_products, :chapeau, :text
    add_column :p_products, :grand_cru, :boolean, :default => false
    add_column :p_products, :vegan, :boolean, :default => false
    add_column :p_products, :public, :boolean, :default => false
  end
end
